View Issue Details

IDProjectCategoryView StatusLast Update
0005141SOGoWeb Calendarpublic2020-09-23 19:30
Reportermarcb Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0.0 
Fixed in Version5.0.1 
Summary0005141: Request failed: Instance of recurring events not deletable
Description

After trying to delete an instance of a recurring event. I get the request failed error message. Detailed error message in appendix.

Steps To Reproduce
  1. Create a recurring event (once a week for example)
  2. Try to delete just one instance of the event
TagsNo tags attached.

Relationships

has duplicate 0005172 resolvedfrancis Deleting an instance of a repeated appointment fails 

Activities

marcb

marcb

2020-08-25 03:38

reporter  

1.PNG (7,141 bytes)   
1.PNG (7,141 bytes)   
2.png (10,178 bytes)   
2.png (10,178 bytes)   
marcb

marcb

2020-08-25 03:39

reporter   ~0014722

I'm currently on nightly build 4.3.2.20200807-1

detrich

detrich

2020-08-25 04:48

reporter   ~0014724

Same issue hiere.

Log message:

sogod [9056]: [ERROR] [so-page 0x0x7f043664d490 UIxOccurenceDialog] did not find method 'UIxOccurenceDialog'

detrich

detrich

2020-09-01 03:00

reporter   ~0014734

fix-patch for removed UIxOccurenceDialog

sogo-5.0.0-UIxOccurenceDialog-fix.patch (4,467 bytes)   
diff --git a/UI/Scheduler/GNUmakefile b/UI/Scheduler/GNUmakefile
index 300d2cd93..45b997e4f 100644
--- a/UI/Scheduler/GNUmakefile
+++ b/UI/Scheduler/GNUmakefile
@@ -37,7 +37,8 @@ SchedulerUI_OBJC_FILES =		\
 	UIxAppointmentEditor.m		\
 	UIxTaskEditor.m			\
 	UIxRecurrenceEditor.m		\
-	UIxReminderEditor.m
+	UIxReminderEditor.m		\
+	UIxOccurenceDialog.m
 
 SchedulerUI_RESOURCE_FILES += \
 	product.plist	
diff --git a/UI/Scheduler/UIxOccurenceDialog.h b/UI/Scheduler/UIxOccurenceDialog.h
new file mode 100644
index 000000000..bf945f116
--- /dev/null
+++ b/UI/Scheduler/UIxOccurenceDialog.h
@@ -0,0 +1,46 @@
+/* UIxOccurenceDialog.h - this file is part of SOGo
+ *
+ * Copyright (C) 2008 Inverse inc.
+ *
+ * Author: Wolfgang Sourdeau <wsourdeau@inverse.ca>
+ *
+ * This file is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2, or (at your option)
+ * any later version.
+ *
+ * This file is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; see the file COPYING.  If not, write to
+ * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+
+#ifndef UIXRECURRENCEEDITOR_H
+#define UIXRECURRENCEEDITOR_H
+
+#import <SOGoUI/UIxComponent.h>
+
+@class NSString;
+
+@interface UIxOccurenceDialog : UIxComponent
+{
+  NSString *action;
+}
+
+- (NSString *) action;
+
+- (NSString *) calendarFolder;
+- (NSString *) componentName;
+- (NSString *) recurrenceName;
+
+- (id <WOActionResults>) defaultAction;
+- (id <WOActionResults>) confirmDeletionAction;
+
+@end
+
+#endif /* UIXRECURRENCEEDITOR_H */
diff --git a/UI/Scheduler/UIxOccurenceDialog.m b/UI/Scheduler/UIxOccurenceDialog.m
new file mode 100644
index 000000000..a3a3096c5
--- /dev/null
+++ b/UI/Scheduler/UIxOccurenceDialog.m
@@ -0,0 +1,108 @@
+/* UIxOccurenceDialog.m - this file is part of SOGo
+ *
+ * Copyright (C) 2008-2014 Inverse inc.
+ *
+ * This file is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2, or (at your option)
+ * any later version.
+ *
+ * This file is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; see the file COPYING.  If not, write to
+ * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+
+#import <Foundation/NSArray.h>
+#import <Foundation/NSString.h>
+
+#import <Common/UIxPageFrame.h>
+
+#import <SoObjects/Appointments/SOGoCalendarComponent.h>
+
+#import "UIxOccurenceDialog.h"
+
+@implementation UIxOccurenceDialog
+
+- (id) init
+{
+  if ((self = [super init]))
+    action = nil;
+
+  return self;
+}
+
+- (void) dealloc
+{
+  [action release];
+  [super dealloc];
+}
+
+- (NSString *) action
+{
+  return action;
+}
+
+- (NSString *) calendarFolder
+{
+  SOGoCalendarComponent *component;
+
+  component = [[self clientObject] container];
+
+  return [[component container] nameInContainer];
+}
+
+- (NSString *) componentName
+{
+  SOGoCalendarComponent *component;
+
+  component = [[self clientObject] container];
+
+  return [component nameInContainer];
+}
+
+- (NSString *) recurrenceName
+{
+  return [[self clientObject] nameInContainer];
+}
+
+- (id <WOActionResults>) defaultAction
+{
+  ASSIGN (action, @"edit");
+
+  return self;
+}
+
+- (id <WOActionResults>) confirmDeletionAction
+{
+  ASSIGN (action, @"delete");
+
+  return self;
+}
+
+- (id <WOActionResults>) confirmAdjustmentAction
+{
+  ASSIGN (action, @"adjust");
+
+  return self;
+}
+
+- (WOResponse *) deleteAction
+{
+  SOGoCalendarComponent *component;
+  WOResponse *response;
+
+  component = [self clientObject];
+  response = (WOResponse *) [component prepareDelete];
+  if (!response)
+    response = [self responseWithStatus: 204];
+
+  return response;
+}
+
+@end
abma

abma

2020-09-02 09:06

reporter   ~0014738

why a patch and no pull request at the official repository?

https://github.com/inverse-inc/sogo

There you would get all the kudos and more attention i guess! :-)

Related Changesets

sogo: master 9af697ae

2020-09-09 16:27:54

francis

Details Diff
fix(calendar): restore UIxOccurenceDialog

Renamed as action class UIxOccurenceEditor.

Fixes 0005141
Affected Issues
0005141
mod - UI/Scheduler/GNUmakefile Diff File
add - UI/Scheduler/UIxOccurenceEditor.h Diff File
add - UI/Scheduler/UIxOccurenceEditor.m Diff File

sogo: master 1bec216c

2020-09-16 17:18:18

francis

Details Diff
fix(calendar): restore UIxOccurenceDialog

Renamed as action class UIxOccurenceEditor.

Fixes 0005141
Fixes 0005160
Affected Issues
0005141, 0005160
mod - UI/Scheduler/product.plist Diff File

Issue History

Date Modified Username Field Change
2020-08-25 03:38 marcb New Issue
2020-08-25 03:38 marcb File Added: 1.PNG
2020-08-25 03:38 marcb File Added: 2.png
2020-08-25 03:39 marcb Note Added: 0014722
2020-08-25 04:48 detrich Note Added: 0014724
2020-09-01 03:00 detrich Note Added: 0014734
2020-09-01 03:00 detrich File Added: sogo-5.0.0-UIxOccurenceDialog-fix.patch
2020-09-02 09:06 abma Note Added: 0014738
2020-09-09 16:30 francis Changeset attached => sogo master 9af697ae
2020-09-09 16:30 francis Assigned To => francis
2020-09-09 16:30 francis Resolution open => fixed
2020-09-09 16:31 francis Status new => resolved
2020-09-09 16:31 francis Fixed in Version => 5.0.1
2020-09-16 17:18 francis Changeset attached => sogo master 1bec216c
2020-09-23 19:30 francis Relationship added has duplicate 0005172